Package org.jfree.layouting.util

## Class LazyAttributeMap

- java.lang.Object
- - org.jfree.layouting.util.AttributeMap
  - - org.jfree.layouting.util.LazyAttributeMap

-     public class LazyAttributeMap
      extends AttributeMap

  Todo: Document Me
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LazyAttributeMap​(AttributeMap copy)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AttributeMap` | `createUnmodifiableMap​()` |
    `java.lang.Object` | `getAttribute​(java.lang.String namespace, java.lang.String attribute)` |
    `java.util.Map` | `getAttributes​(java.lang.String namespace)` |
    `long` | `getChangeTracker​()` |
    `java.lang.Object` | `getFirstAttribute​(java.lang.String attribute)` |
    `java.lang.String[]` | `getNameSpaces​()` |
    `boolean` | `isEmpty​()` |
    `java.lang.Object` | `setAttribute​(java.lang.String namespace, java.lang.String attribute, java.lang.Object value)` |

    - ### Methods inherited from class org.jfree.layouting.util.AttributeMap

      `clone, copyInto, isReadOnly, makeReadOnly, setAttributeInternal`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyAttributeMap

          public LazyAttributeMap​(AttributeMap copy)

  - ### Method Detail

    - #### setAttribute

          public java.lang.Object setAttribute​(java.lang.String namespace,
                                               java.lang.String attribute,
                                               java.lang.Object value)

      Overrides:
        `setAttribute` in class `AttributeMap`

    - #### createUnmodifiableMap

          public AttributeMap createUnmodifiableMap​()

      Overrides:
        `createUnmodifiableMap` in class `AttributeMap`

    - #### isEmpty

          public boolean isEmpty​()

      Overrides:
        `isEmpty` in class `AttributeMap`

    - #### getAttribute

          public java.lang.Object getAttribute​(java.lang.String namespace,
                                               java.lang.String attribute)

      Overrides:
        `getAttribute` in class `AttributeMap`

    - #### getFirstAttribute

          public java.lang.Object getFirstAttribute​(java.lang.String attribute)

      Overrides:
        `getFirstAttribute` in class `AttributeMap`

    - #### getAttributes

          public java.util.Map getAttributes​(java.lang.String namespace)

      Overrides:
        `getAttributes` in class `AttributeMap`

    - #### getNameSpaces

          public java.lang.String[] getNameSpaces​()

      Overrides:
        `getNameSpaces` in class `AttributeMap`

    - #### getChangeTracker

          public long getChangeTracker​()

      Overrides:
        `getChangeTracker` in class `AttributeMap`